SolrQuery::setHighlight
SolrQuery::setHighlightFormatter
SolrQuery
PHP Manual

# SolrQuery::setHighlightAlternateField

(PECL solr >= 0.9.2)

SolrQuery::setHighlightAlternateField — Specifies the backup field to use

### Opis

public SolrQuery SolrQuery::setHighlightAlternateField ( string `$field` [, string `$field_override` ] )

If a snippet cannot be generated because there were no matching terms, one can specify a field to use as the backup or default summary

### Parametry

`field`

  The name of the backup field

`field_override`

  The name of the field we are overriding this setting for.

### Zwracane wartości

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setHighlight
SolrQuery::setHighlightFormatter
SolrQuery
PHP Manual